Bug 1751738 - Git clone via git:// protocol fails behind a proxy
Summary: Git clone via git:// protocol fails behind a proxy
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.4.0
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-12 13:22 UTC by Adam Kaplan
Modified: 2020-04-17 13:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-17 13:12:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1747937 0 high CLOSED [proxy]Cannot fetch https://rubygems.org/ when create build with ruby image in http_proxy cluster 2021-02-22 00:41:40 UTC

Description Adam Kaplan 2019-09-12 13:22:19 UTC
Description of problem:
Git clone operations fail in builds running behind a proxy if the source URI's use the `git://` or `ssh://` scheme

Version-Release number of selected component (if applicable): 4.2.0


How reproducible: Always


Steps to Reproduce:
1. Configure OpenShift to run behind a proxy
2. Create a BuildConfig which clones source via `git://`
3. Start a build for the build config

Actual results:
Build fails on GitClone


Expected results:
Build can clone source code and succeed.


Additional info:
Originally identified in https://bugzilla.redhat.com/show_bug.cgi?id=1747937

Comment 1 Adam Kaplan 2019-11-07 20:10:09 UTC
Moving low priority 4.x bugs to 4.4.0

Comment 2 Adam Kaplan 2020-04-17 13:12:44 UTC
This is being worked as features in JIRA [1][2] - underlying root issue is related to the version of Git installed in the builder's base image.

[1] https://issues.redhat.com/browse/DEVEXP-440
[2] https://issues.redhat.com/browse/DEVEXP-438


Note You need to log in before you can comment on or make changes to this bug.